diff --git a/sys/netinet/sctp_output.c b/sys/netinet/sctp_output.c
index 4a3927f..605f545 100644
--- a/sys/netinet/sctp_output.c
+++ b/sys/netinet/sctp_output.c
@@ -216,7 +216,7 @@ sctp_add_addr_to_mbuf(struct mbuf *m, struct ifaddr *ifa)
 		while (mret->m_next != NULL) {
 			mret = mret->m_next;
 		}
-		MGET(mret->m_next, MB_DONTWAIT, MT_DATA);
+		MGET(mret->m_next, M_NOWAIT, MT_DATA);
 		if (mret->m_next == NULL) {
 			/* We are hosed, can't add more addresses */
 			return (m);
@@ -267,17 +267,17 @@ sctp_add_cookie(struct sctp_inpcb *inp, struct mbuf *init, int init_offset,
 
 	mret = NULL;
 
-	MGET(mret, MB_DONTWAIT, MT_DATA);
+	MGET(mret, M_NOWAIT, MT_DATA);
 	if (mret == NULL) {
 		return (NULL);
 	}
-	copy_init = sctp_m_copym(init, init_offset, M_COPYALL, MB_DONTWAIT);
+	copy_init = sctp_m_copym(init, init_offset, M_COPYALL, M_NOWAIT);
 	if (copy_init == NULL) {
 		sctp_m_freem(mret);
 		return (NULL);
 	}
 	copy_initack = sctp_m_copym(initack, initack_offset, M_COPYALL,
-	    MB_DONTWAIT);
+	    M_NOWAIT);
 	if (copy_initack == NULL) {
 		sctp_m_freem(mret);
 		sctp_m_freem(copy_init);
@@ -319,7 +319,7 @@ sctp_add_cookie(struct sctp_inpcb *inp, struct mbuf *init, int init_offset,
 			break;
 		}
 	}
-	MGET(sig, MB_DONTWAIT, MT_DATA);
+	MGET(sig, M_NOWAIT, MT_DATA);
 	if (sig == NULL) {
 		/* no space */
 		sctp_m_freem(mret);
@@ -2175,7 +2175,7 @@ sctp_lowlevel_chunk_output(struct sctp_inpcb *inp,
 	if (to->sa_family == AF_INET) {
 		struct ip *ip;
 		struct route iproute;
-		M_PREPEND(m, sizeof(struct ip), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(struct ip), M_NOWAIT);
 		if (m == NULL) {
 			/* failed to prepend data, give up */
 			return (ENOMEM);
@@ -2389,7 +2389,7 @@ sctp_lowlevel_chunk_output(struct sctp_inpcb *inp,
 		int error;
 		u_short prev_port=0;
 
-		M_PREPEND(m, sizeof(struct ip6_hdr), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(struct ip6_hdr), M_NOWAIT);
 		if (m == NULL) {
 			/* failed to prepend data, give up */
 			return (ENOMEM);
@@ -2745,13 +2745,13 @@ sctp_send_initiate(struct sctp_inpcb *inp, struct sctp_tcb *stcb)
 		/* we are hosed since I can't start the INIT timer? */
 		return;
 	}
-	MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(m, M_NOWAIT, MT_HEADER);
 	if (m == NULL) {
 		/* No memory, INIT timer will re-attempt. */
 		return;
 	}
 	/* make it into a M_EXT */
-	MCLGET(m, MB_DONTWAIT);
+	MCLGET(m, M_NOWAIT);
 	if ((m->m_flags & M_EXT) != M_EXT) {
 		/* Failed to get cluster buffer */
 		sctp_m_freem(m);
@@ -3110,7 +3110,7 @@ sctp_arethere_unrecognized_parameters(struct mbuf *in_initpkt,
 			*abort_processing = 1;
 			if (op_err == NULL) {
 				/* Ok need to try to get a mbuf */
-				MGETHDR(op_err, MB_DONTWAIT, MT_DATA);
+				MGETHDR(op_err, M_NOWAIT, MT_DATA);
 				if (op_err) {
 					op_err->m_len = 0;
 					op_err->m_pkthdr.len = 0;
@@ -3165,7 +3165,7 @@ sctp_arethere_unrecognized_parameters(struct mbuf *in_initpkt,
 #endif
 				if (op_err == NULL) {
 					/* Ok need to try to get an mbuf */
-					MGETHDR(op_err, MB_DONTWAIT, MT_DATA);
+					MGETHDR(op_err, M_NOWAIT, MT_DATA);
 					if (op_err) {
 						op_err->m_len = 0;
 						op_err->m_pkthdr.len = 0;
@@ -3421,14 +3421,14 @@ sctp_send_initiate_ack(struct sctp_inpcb *inp, struct sctp_tcb *stcb,
 		sctp_send_abort(init_pkt, iphlen, sh, init_chk->init.initiate_tag, op_err);
 		return;
 	}
-	MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(m, M_NOWAIT, MT_HEADER);
 	if (m == NULL) {
 		/* No memory, INIT timer will re-attempt. */
 		if (op_err)
 			sctp_m_freem(op_err);
 		return;
 	}
-	MCLGET(m, MB_DONTWAIT);
+	MCLGET(m, M_NOWAIT);
 	if ((m->m_flags & M_EXT) != M_EXT) {
 		/* Failed to get cluster buffer */
 		if (op_err)
@@ -4288,7 +4288,7 @@ sctp_msg_append(struct sctp_tcb *stcb,
 					dataout += n->m_len;
 				}
 			}
-			M_PREPEND(m, sizeof(struct sctp_paramhdr), MB_DONTWAIT);
+			M_PREPEND(m, sizeof(struct sctp_paramhdr), M_NOWAIT);
 			if (m) {
 				struct sctp_paramhdr *ph;
 				m->m_len = sizeof(struct sctp_paramhdr) + dataout;
@@ -4514,7 +4514,7 @@ sctp_msg_append(struct sctp_tcb *stcb,
 			 * We can wait since this is called from the user
 			 * send side
 			 */
-			n->m_nextpkt = m_split(n, siz, MB_WAIT);
+			n->m_nextpkt = m_split(n, siz, M_WAITOK);
 			if (n->m_nextpkt == NULL) {
 				error = EFAULT;
 				SOCKBUF_LOCK(&so->so_snd);
@@ -4736,12 +4736,12 @@ sctp_copy_mbufchain(struct mbuf *clonechain,
 #if defined(__FreeBSD__) || defined(__NetBSD__)
 	/* Supposedly m_copypacket is an optimization, use it if we can */
 	if (clonechain->m_flags & M_PKTHDR) {
-		appendchain = m_copypacket(clonechain, MB_DONTWAIT);
+		appendchain = m_copypacket(clonechain, M_NOWAIT);
 		sctp_pegs[SCTP_CACHED_SRC]++;
 	} else
 		appendchain = m_copy(clonechain, 0, M_COPYALL);
 #elif defined(__APPLE__)
-	appendchain = sctp_m_copym(clonechain, 0, M_COPYALL, MB_DONTWAIT);
+	appendchain = sctp_m_copym(clonechain, 0, M_COPYALL, M_NOWAIT);
 #else
 	appendchain = m_copy(clonechain, 0, M_COPYALL);
 #endif
@@ -4844,7 +4844,7 @@ sctp_copy_out_all(struct uio *uio, int len)
 	struct mbuf *ret, *at;
 	int left, willcpy, cancpy, error;
 
-	MGETHDR(ret, MB_WAIT, MT_HEADER);
+	MGETHDR(ret, M_WAITOK, MT_HEADER);
 	if (ret == NULL) {
 		/* TSNH */
 		return (NULL);
@@ -4852,7 +4852,7 @@ sctp_copy_out_all(struct uio *uio, int len)
 	left = len;
 	ret->m_len = 0;
 	ret->m_pkthdr.len = len;
-	MCLGET(ret, MB_WAIT);
+	MCLGET(ret, M_WAITOK);
 	if (ret == NULL) {
 		return (NULL);
 	}
@@ -4876,13 +4876,13 @@ sctp_copy_out_all(struct uio *uio, int len)
 		at->m_nextpkt = at->m_next = 0;
 		left -= willcpy;
 		if (left > 0) {
-			MGET(at->m_next, MB_WAIT, MT_DATA);
+			MGET(at->m_next, M_WAITOK, MT_DATA);
 			if (at->m_next == NULL) {
 				goto err_out_now;
 			}
 			at = at->m_next;
 			at->m_len = 0;
-			MCLGET(at, MB_WAIT);
+			MCLGET(at, M_WAITOK);
 			if (at == NULL) {
 				goto err_out_now;
 			}
@@ -5137,7 +5137,7 @@ sctp_move_to_outqueue(struct sctp_tcb *stcb,
 		nchk = TAILQ_NEXT(chk, sctp_next);
 		/* now put in the chunk header */
 		orig = chk->data;
-		M_PREPEND(chk->data, sizeof(struct sctp_data_chunk), MB_DONTWAIT);
+		M_PREPEND(chk->data, sizeof(struct sctp_data_chunk), M_NOWAIT);
 		if (chk->data == NULL) {
 			/* HELP */
 			failed++;
@@ -5700,7 +5700,8 @@ sctp_med_chunk_output(struct sctp_inpcb *inp,
 						 */
 						outchain->m_len = sizeof(struct sctphdr);
 					} else {
-						M_PREPEND(outchain, sizeof(struct sctphdr), MB_DONTWAIT);
+						M_PREPEND(outchain, sizeof(struct sctphdr),
+							  M_NOWAIT);
 						if (outchain == NULL) {
 							/* no memory */
 							error = ENOBUFS;
@@ -5954,7 +5955,7 @@ sctp_med_chunk_output(struct sctp_inpcb *inp,
 			if ((outchain->m_flags & M_PKTHDR) == 0) {
 				struct mbuf *t;
 
-				MGETHDR(t, MB_DONTWAIT, MT_HEADER);
+				MGETHDR(t, M_NOWAIT, MT_HEADER);
 				if (t == NULL) {
 					sctp_m_freem(outchain);
 					return (ENOMEM);
@@ -5978,7 +5979,8 @@ sctp_med_chunk_output(struct sctp_inpcb *inp,
 				MH_ALIGN(outchain, sizeof(struct sctphdr));
 				outchain->m_len = sizeof(struct sctphdr);
 			} else {
-				M_PREPEND(outchain, sizeof(struct sctphdr), MB_DONTWAIT);
+				M_PREPEND(outchain, sizeof(struct sctphdr),
+					  M_NOWAIT);
 				if (outchain == NULL) {
 					/* out of mbufs */
 					error = ENOBUFS;
@@ -6102,7 +6104,7 @@ sctp_queue_op_err(struct sctp_tcb *stcb, struct mbuf *op_err)
 	}
 	sctppcbinfo.ipi_count_chunk++;
 	sctppcbinfo.ipi_gencnt_chunk++;
-	M_PREPEND(op_err, sizeof(struct sctp_chunkhdr), MB_DONTWAIT);
+	M_PREPEND(op_err, sizeof(struct sctp_chunkhdr), M_NOWAIT);
 	if (op_err == NULL) {
 		SCTP_ZONE_FREE(sctppcbinfo.ipi_zone_chunk, chk);
 		sctppcbinfo.ipi_count_chunk--;
@@ -6169,7 +6171,7 @@ sctp_send_cookie_echo(struct mbuf *m,
 			if ((pad = (plen % 4))) {
 				plen += 4 - pad;
 			}
-			cookie = sctp_m_copym(m, at, plen, MB_DONTWAIT);
+			cookie = sctp_m_copym(m, at, plen, M_NOWAIT);
 			if (cookie == NULL) {
 				/* No memory */
 				return (-2);
@@ -6191,7 +6193,7 @@ sctp_send_cookie_echo(struct mbuf *m,
 	/* now we MUST have a PKTHDR on it */
 	if ((cookie->m_flags & M_PKTHDR) != M_PKTHDR) {
 		/* we hope this happens rarely */
-		MGETHDR(mat, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(mat, M_NOWAIT, MT_HEADER);
 		if (mat == NULL) {
 			sctp_m_freem(cookie);
 			return (-4);
@@ -6244,7 +6246,7 @@ sctp_send_heartbeat_ack(struct sctp_tcb *stcb,
 		/* must have a net pointer */
 		return;
 
-	outchain = sctp_m_copym(m, offset, chk_length, MB_DONTWAIT);
+	outchain = sctp_m_copym(m, offset, chk_length, M_NOWAIT);
 	if (outchain == NULL) {
 		/* gak out of memory */
 		return;
@@ -6255,7 +6257,7 @@ sctp_send_heartbeat_ack(struct sctp_tcb *stcb,
 	if ((outchain->m_flags & M_PKTHDR) != M_PKTHDR) {
 		/* should not happen but we are cautious. */
 		struct mbuf *tmp;
-		MGETHDR(tmp, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(tmp, M_NOWAIT, MT_HEADER);
 		if (tmp == NULL) {
 			return;
 		}
@@ -6302,7 +6304,7 @@ sctp_send_cookie_ack(struct sctp_tcb *stcb) {
 	struct sctp_tmit_chunk *chk;
 
 	cookie_ack = NULL;
-	MGETHDR(cookie_ack, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(cookie_ack, M_NOWAIT, MT_HEADER);
 	if (cookie_ack == NULL) {
 		/* no mbuf's */
 		return (-1);
@@ -6351,7 +6353,7 @@ sctp_send_shutdown_ack(struct sctp_tcb *stcb, struct sctp_nets *net)
 	struct sctp_tmit_chunk *chk;
 
 	m_shutdown_ack = NULL;
-	MGETHDR(m_shutdown_ack, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(m_shutdown_ack, M_NOWAIT, MT_HEADER);
 	if (m_shutdown_ack == NULL) {
 		/* no mbuf's */
 		return (-1);
@@ -6396,7 +6398,7 @@ sctp_send_shutdown(struct sctp_tcb *stcb, struct sctp_nets *net)
 	struct sctp_tmit_chunk *chk;
 
 	m_shutdown = NULL;
-	MGETHDR(m_shutdown, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(m_shutdown, M_NOWAIT, MT_HEADER);
 	if (m_shutdown == NULL) {
 		/* no mbuf's */
 		return (-1);
@@ -6498,7 +6500,8 @@ sctp_send_asconf_ack(struct sctp_tcb *stcb, uint32_t retrans)
 	 * use it if we can.
 	 */
 	if (stcb->asoc.last_asconf_ack_sent->m_flags & M_PKTHDR) {
-		m_ack = m_copypacket(stcb->asoc.last_asconf_ack_sent, MB_DONTWAIT);
+		m_ack = m_copypacket(stcb->asoc.last_asconf_ack_sent,
+				     M_NOWAIT);
 		sctp_pegs[SCTP_CACHED_SRC]++;
 	} else
 		m_ack = m_copy(stcb->asoc.last_asconf_ack_sent, 0, M_COPYALL);
@@ -6659,7 +6662,7 @@ sctp_chunk_retransmission(struct sctp_inpcb *inp,
 			 */
 			m->m_len = sizeof(struct sctphdr);
 		} else {
-			M_PREPEND(m, sizeof(struct sctphdr), MB_DONTWAIT);
+			M_PREPEND(m, sizeof(struct sctphdr), M_NOWAIT);
 			if (m == NULL) {
 				return (ENOBUFS);
 			}
@@ -6853,7 +6856,7 @@ sctp_chunk_retransmission(struct sctp_inpcb *inp,
 				 */
 				m->m_len = sizeof(struct sctphdr);
 			} else {
-				M_PREPEND(m, sizeof(struct sctphdr), MB_DONTWAIT);
+				M_PREPEND(m, sizeof(struct sctphdr), M_NOWAIT);
 				if (m == NULL) {
 					return (ENOBUFS);
 				}
@@ -7653,7 +7656,7 @@ send_forward_tsn(struct sctp_tcb *stcb,
 	sctppcbinfo.ipi_gencnt_chunk++;
 	chk->rec.chunk_id = SCTP_FORWARD_CUM_TSN;
 	chk->asoc = asoc;
-	MGETHDR(chk->data, MB_DONTWAIT, MT_DATA);
+	MGETHDR(chk->data, M_NOWAIT, MT_DATA);
 	if (chk->data == NULL) {
 		chk->whoTo->ref_count--;
 		SCTP_ZONE_FREE(sctppcbinfo.ipi_zone_chunk, chk);
@@ -7700,7 +7703,7 @@ send_forward_tsn(struct sctp_tcb *stcb,
 			/* Need a M_EXT, get one and move
 			 * fwdtsn to data area.
 			 */
-			MCLGET(chk->data, MB_DONTWAIT);
+			MCLGET(chk->data, M_NOWAIT);
 		}
 		cnt_of_space = M_TRAILINGSPACE(chk->data);
 
@@ -7876,7 +7879,7 @@ sctp_send_sack(struct sctp_tcb *stcb)
 		a_chk->whoTo->ref_count++;
 
 	/* Ok now lets formulate a MBUF with our sack */
-	MGETHDR(a_chk->data, MB_DONTWAIT, MT_DATA);
+	MGETHDR(a_chk->data, M_NOWAIT, MT_DATA);
 	if ((a_chk->data == NULL) ||
 	    (a_chk->whoTo == NULL)) {
 		/* rats, no mbuf memory */
@@ -7997,7 +8000,7 @@ sctp_send_sack(struct sctp_tcb *stcb)
 
 	if ((space+SCTP_MIN_OVERHEAD) > MHLEN) {
 		/* We need a cluster */
-		MCLGET(a_chk->data, MB_DONTWAIT);
+		MCLGET(a_chk->data, M_NOWAIT);
 		if ((a_chk->data->m_flags & M_EXT) != M_EXT) {
 			/* can't get a cluster
 			 * give up and try later.
@@ -8094,7 +8097,7 @@ sctp_send_abort_tcb(struct sctp_tcb *stcb, struct mbuf *operr)
 	struct sctp_abort_msg *abort_m;
 	int sz;
 	abort_m = NULL;
-	MGETHDR(m_abort, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(m_abort, M_NOWAIT, MT_HEADER);
 	if (m_abort == NULL) {
 		/* no mbuf's */
 		return;
@@ -8138,7 +8141,7 @@ sctp_send_shutdown_complete(struct sctp_tcb *stcb,
 	struct sctp_shutdown_complete_msg *comp_cp;
 
 	m_shutdown_comp = NULL;
-	MGETHDR(m_shutdown_comp, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(m_shutdown_comp, M_NOWAIT, MT_HEADER);
 	if (m_shutdown_comp == NULL) {
 		/* no mbuf's */
 		return (-1);
@@ -8177,7 +8180,7 @@ sctp_send_shutdown_complete2(struct mbuf *m, int iphlen, struct sctphdr *sh)
 	int offset_out;
 	struct sctp_shutdown_complete_msg *comp_cp;
 
-	MGETHDR(mout, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(mout, M_NOWAIT, MT_HEADER);
 	if (mout == NULL) {
 		/* no mbuf's */
 		return (-1);
@@ -8481,7 +8484,7 @@ sctp_send_hb(struct sctp_tcb *stcb, int user_req, struct sctp_nets *u_net)
 	chk->rec.chunk_id = SCTP_HEARTBEAT_REQUEST;
 	chk->asoc = &stcb->asoc;
 	chk->send_size = sizeof(struct sctp_heartbeat_chunk);
-	MGETHDR(chk->data, MB_DONTWAIT, MT_DATA);
+	MGETHDR(chk->data, M_NOWAIT, MT_DATA);
 	if (chk->data == NULL) {
 		SCTP_ZONE_FREE(sctppcbinfo.ipi_zone_chunk, chk);
 		sctppcbinfo.ipi_count_chunk--;
@@ -8611,7 +8614,7 @@ sctp_send_ecn_echo(struct sctp_tcb *stcb, struct sctp_nets *net,
 	chk->rec.chunk_id = SCTP_ECN_ECHO;
 	chk->asoc = &stcb->asoc;
 	chk->send_size = sizeof(struct sctp_ecne_chunk);
-	MGETHDR(chk->data, MB_DONTWAIT, MT_DATA);
+	MGETHDR(chk->data, M_NOWAIT, MT_DATA);
 	if (chk->data == NULL) {
 		SCTP_ZONE_FREE(sctppcbinfo.ipi_zone_chunk, chk);
 		sctppcbinfo.ipi_count_chunk--;
@@ -8685,7 +8688,7 @@ sctp_send_packet_dropped(struct sctp_tcb *stcb, struct sctp_nets *net,
 		chk->send_size = len = m->m_pkthdr.len - iphlen;
 	}
 	chk->asoc = &stcb->asoc;
-	MGETHDR(chk->data, MB_DONTWAIT, MT_DATA);
+	MGETHDR(chk->data, M_NOWAIT, MT_DATA);
 	if (chk->data == NULL) {
 	jump_out:
 		SCTP_ZONE_FREE(sctppcbinfo.ipi_zone_chunk, chk);
@@ -8697,7 +8700,7 @@ sctp_send_packet_dropped(struct sctp_tcb *stcb, struct sctp_nets *net,
 		return;
 	}
 	if ((chk->send_size+sizeof(struct sctp_pktdrop_chunk)+SCTP_MIN_OVERHEAD) > MHLEN) {
-		MCLGET(chk->data, MB_DONTWAIT);
+		MCLGET(chk->data, M_NOWAIT);
 		if ((chk->data->m_flags & M_EXT) == 0) {
 			/* Give up */
 			sctp_m_freem(chk->data);
@@ -8794,7 +8797,7 @@ sctp_send_cwr(struct sctp_tcb *stcb, struct sctp_nets *net, uint32_t high_tsn)
 	chk->rec.chunk_id = SCTP_ECN_CWR;
 	chk->asoc = &stcb->asoc;
 	chk->send_size = sizeof(struct sctp_cwr_chunk);
-	MGETHDR(chk->data, MB_DONTWAIT, MT_DATA);
+	MGETHDR(chk->data, M_NOWAIT, MT_DATA);
 	if (chk->data == NULL) {
 		SCTP_ZONE_FREE(sctppcbinfo.ipi_zone_chunk, chk);
 		sctppcbinfo.ipi_count_chunk--;
@@ -8867,7 +8870,7 @@ sctp_send_str_reset_ack(struct sctp_tcb *stcb,
 	chk->rec.chunk_id = SCTP_STREAM_RESET;
 	chk->asoc = &stcb->asoc;
 	chk->send_size = sizeof(struct sctp_stream_reset_resp) + (number_entries * sizeof(uint16_t));
-	MGETHDR(chk->data, MB_DONTWAIT, MT_DATA);
+	MGETHDR(chk->data, M_NOWAIT, MT_DATA);
 	if (chk->data == NULL) {
 	strresp_jump_out:
 		SCTP_ZONE_FREE(sctppcbinfo.ipi_zone_chunk, chk);
@@ -8881,7 +8884,7 @@ sctp_send_str_reset_ack(struct sctp_tcb *stcb,
 	chk->data->m_data += SCTP_MIN_OVERHEAD;
 	chk->data->m_pkthdr.len = chk->data->m_len = SCTP_SIZE32(chk->send_size);
 	if (M_TRAILINGSPACE(chk->data) < (int)SCTP_SIZE32(chk->send_size)) {
-		MCLGET(chk->data, MB_DONTWAIT);
+		MCLGET(chk->data, M_NOWAIT);
 		if ((chk->data->m_flags & M_EXT) == 0) {
 			/* Give up */
 			sctp_m_freem(chk->data);
@@ -9022,7 +9025,7 @@ sctp_send_str_reset_req(struct sctp_tcb *stcb,
 	chk->rec.chunk_id = SCTP_STREAM_RESET;
 	chk->asoc = &stcb->asoc;
 	chk->send_size = sizeof(struct sctp_stream_reset_req) + (number_entrys * sizeof(uint16_t));
-	MGETHDR(chk->data, MB_DONTWAIT, MT_DATA);
+	MGETHDR(chk->data, M_NOWAIT, MT_DATA);
 	if (chk->data == NULL) {
 	strreq_jump_out:
 		SCTP_ZONE_FREE(sctppcbinfo.ipi_zone_chunk, chk);
@@ -9036,7 +9039,7 @@ sctp_send_str_reset_req(struct sctp_tcb *stcb,
 	chk->data->m_data += SCTP_MIN_OVERHEAD;
 	chk->data->m_pkthdr.len = chk->data->m_len = SCTP_SIZE32(chk->send_size);
 	if (M_TRAILINGSPACE(chk->data) < (int)SCTP_SIZE32(chk->send_size)) {
-		MCLGET(chk->data, MB_DONTWAIT);
+		MCLGET(chk->data, M_NOWAIT);
 		if ((chk->data->m_flags & M_EXT) == 0) {
 			/* Give up */
 			sctp_m_freem(chk->data);
@@ -9126,7 +9129,7 @@ sctp_send_abort(struct mbuf *m, int iphlen, struct sctphdr *sh, uint32_t vtag,
 			sctp_m_freem(err_cause);
 		return;
 	}
-	MGETHDR(mout, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(mout, M_NOWAIT, MT_HEADER);
 	if (mout == NULL) {
 		if (err_cause)
 			sctp_m_freem(err_cause);
@@ -9300,7 +9303,8 @@ sctp_send_operr_to(struct mbuf *m, int iphlen,
 		m_freem(scm);
 		return;
 	}
-	M_PREPEND(scm, (sizeof(struct sctphdr) + sizeof(struct sctp_chunkhdr)), MB_DONTWAIT);
+	M_PREPEND(scm, (sizeof(struct sctphdr) + sizeof(struct sctp_chunkhdr)),
+		  M_NOWAIT);
 	if (scm == NULL) {
 		/* can't send because we can't add a mbuf */
 		return;
@@ -9333,7 +9337,7 @@ sctp_send_operr_to(struct mbuf *m, int iphlen,
 		/* V4 */
 		struct ip *out;
 		struct route ro;
-		M_PREPEND(scm, sizeof(struct ip), MB_DONTWAIT);
+		M_PREPEND(scm, sizeof(struct ip), M_NOWAIT);
 		if (scm == NULL)
 			return;
 		bzero(&ro, sizeof ro);
@@ -9372,7 +9376,7 @@ sctp_send_operr_to(struct mbuf *m, int iphlen,
 #endif
 		struct ip6_hdr *out6, *in6;
 
-		M_PREPEND(scm, sizeof(struct ip6_hdr), MB_DONTWAIT);
+		M_PREPEND(scm, sizeof(struct ip6_hdr), M_NOWAIT);
 		if (scm == NULL)
 			return;
 		bzero(&ro, sizeof ro);
@@ -9429,7 +9433,7 @@ sctp_copy_one(struct mbuf *m, struct uio *uio, int cpsz, int resv_upfront, int *
 	}
 	m->m_len = 0;
 	if ((left+resv_upfront) > (int)MHLEN) {
-		MCLGET(m, MB_WAIT);
+		MCLGET(m, M_WAITOK);
 		if (m == NULL) {
 			*mbcnt = 0;
 			return (ENOMEM);
@@ -9465,7 +9469,7 @@ sctp_copy_one(struct mbuf *m, struct uio *uio, int cpsz, int resv_upfront, int *
 		m->m_nextpkt = 0;
 		left -= willcpy;
 		if (left > 0) {
-			MGET(m->m_next, MB_WAIT, MT_DATA);
+			MGET(m->m_next, M_WAITOK, MT_DATA);
 			if (m->m_next == NULL) {
 				*mbcnt = 0;
 				return (ENOMEM);
@@ -9474,7 +9478,7 @@ sctp_copy_one(struct mbuf *m, struct uio *uio, int cpsz, int resv_upfront, int *
 			m->m_len = 0;
 			*mbcnt += MSIZE;
 			if (left > (int)MHLEN) {
-				MCLGET(m, MB_WAIT);
+				MCLGET(m, M_WAITOK);
 				if (m == NULL) {
 					*mbcnt = 0;
 					return (ENOMEM);
@@ -9664,7 +9668,7 @@ sctp_copy_it_in(struct sctp_inpcb *inp,
 			 * it is done that way in the sosend code so I guess
 			 * it is ok :-0
 			 */
- 			MGETHDR(mm, MB_WAIT, MT_DATA);
+ 			MGETHDR(mm, M_WAITOK, MT_DATA);
 			if (mm) {
 				struct sctp_paramhdr *ph;
 
@@ -9675,7 +9679,7 @@ sctp_copy_it_in(struct sctp_inpcb *inp,
 						tot_demand = MCLBYTES;
 						tot_out = tot_demand - sizeof(struct sctp_paramhdr);
 					}
-					MCLGET(mm, MB_WAIT);
+					MCLGET(mm, M_WAITOK);
 					if ((mm->m_flags & M_EXT) == 0) {
 						/* truncate further */
 						tot_demand = MHLEN;
@@ -9775,7 +9779,7 @@ sctp_copy_it_in(struct sctp_inpcb *inp,
 		sctppcbinfo.ipi_count_chunk++;
 		sctppcbinfo.ipi_gencnt_chunk++;
 		asoc->chunks_on_out_queue++;
-		MGETHDR(mm, MB_WAIT, MT_DATA);
+		MGETHDR(mm, M_WAITOK, MT_DATA);
 		if (mm == NULL) {
 			error = ENOMEM;
 			goto clean_up;
@@ -9866,7 +9870,7 @@ clean_up:
 			sctppcbinfo.ipi_gencnt_chunk++;
 			*chk = template;
 			chk->whoTo->ref_count++;
-			MGETHDR(chk->data, MB_WAIT, MT_DATA);
+			MGETHDR(chk->data, M_WAITOK, MT_DATA);
 			if (chk->data == NULL) {
 				error = ENOMEM;
 				goto temp_clean_up;
diff --git a/sys/netinet/sctp_pcb.c b/sys/netinet/sctp_pcb.c
index 59f6484..2cb2f74 100644
--- a/sys/netinet/sctp_pcb.c
+++ b/sys/netinet/sctp_pcb.c
@@ -2221,7 +2221,7 @@ sctp_inpcb_free(struct sctp_inpcb *inp, int immediate)
 				) {
 				/* Left with Data unread */
 				struct mbuf *op_err;
-				MGET(op_err, MB_DONTWAIT, MT_DATA);
+				MGET(op_err, M_NOWAIT, MT_DATA);
 				if (op_err) {
 					/* Fill in the user initiated abort */
 					struct sctp_paramhdr *ph;
@@ -2348,7 +2348,7 @@ sctp_inpcb_free(struct sctp_inpcb *inp, int immediate)
 		SCTP_TCB_LOCK(asoc);
 		if (SCTP_GET_STATE(&asoc->asoc) != SCTP_STATE_COOKIE_WAIT) {
 			struct mbuf *op_err;
-			MGET(op_err, MB_DONTWAIT, MT_DATA);
+			MGET(op_err, M_NOWAIT, MT_DATA);
 			if (op_err) {
 				/* Fill in the user initiated abort */
 				struct sctp_paramhdr *ph;
diff --git a/sys/netinet/sctp_timer.c b/sys/netinet/sctp_timer.c
index a9f7b0e..f771ddb 100644
--- a/sys/netinet/sctp_timer.c
+++ b/sys/netinet/sctp_timer.c
@@ -208,7 +208,7 @@ sctp_threshold_management(struct sctp_inpcb *inp, struct sctp_tcb *stcb,
 	if (stcb->asoc.overall_error_count > threshold) {
 		/* Abort notification sends a ULP notify */
 		struct mbuf *oper;
-		MGET(oper, MB_DONTWAIT, MT_DATA);
+		MGET(oper, M_NOWAIT, MT_DATA);
 		if (oper) {
 			struct sctp_paramhdr *ph;
 			u_int32_t *ippp;
@@ -940,7 +940,7 @@ sctp_cookie_timer(struct sctp_inpcb *inp,
 		if (SCTP_GET_STATE(&stcb->asoc) == SCTP_STATE_COOKIE_ECHOED) {
 			/* FOOBAR! */
 			struct mbuf *oper;
-			MGET(oper, MB_DONTWAIT, MT_DATA);
+			MGET(oper, M_NOWAIT, MT_DATA);
 			if (oper) {
 				struct sctp_paramhdr *ph;
 				u_int32_t *ippp;
diff --git a/sys/netinet/sctp_usrreq.c b/sys/netinet/sctp_usrreq.c
index c0d4c94..9dc8292 100644
--- a/sys/netinet/sctp_usrreq.c
+++ b/sys/netinet/sctp_usrreq.c
@@ -229,7 +229,7 @@ sctp_split_chunks(struct sctp_association *asoc,
 	/* Copy it all */
 	*new_chk = *chk;
 	/*  split the data */
-	new_chk->data = m_split(chk->data, (chk->send_size>>1), MB_DONTWAIT);
+	new_chk->data = m_split(chk->data, (chk->send_size>>1), M_NOWAIT);
 	if (new_chk->data == NULL) {
 		/* Can't split */
 		chk->flags |= CHUNK_FLAGS_FRAGMENT_OK;
@@ -952,7 +952,7 @@ sctp_disconnect(netmsg_t msg)
 					/* Left with Data unread */
 					struct mbuf *err;
 					err = NULL;
-					MGET(err, MB_DONTWAIT, MT_DATA);
+					MGET(err, M_NOWAIT, MT_DATA);
 					if (err) {
 						/* Fill in the user initiated abort */
 						struct sctp_paramhdr *ph;
@@ -3517,9 +3517,9 @@ sctp_ctloutput(netmsg_t msg)
 	}
 	if (sopt->sopt_valsize) {
 
-		m = m_get(MB_WAIT, MT_DATA);
+		m = m_get(M_WAITOK, MT_DATA);
 		if (sopt->sopt_valsize > MLEN) {
-			MCLGET(m, MB_DONTWAIT);
+			MCLGET(m, M_NOWAIT);
 			if ((m->m_flags & M_EXT) == 0) {
 				sctp_m_freem(m);
 				error = ENOBUFS;
diff --git a/sys/netinet/sctputil.c b/sys/netinet/sctputil.c
index 46e0cb9..d0bffa9 100644
--- a/sys/netinet/sctputil.c
+++ b/sys/netinet/sctputil.c
@@ -2047,7 +2047,7 @@ sctp_add_pad_tombuf(struct mbuf *m, int padlen)
 	} else {
 		/* Hard way we must grow the mbuf */
 		struct mbuf *tmp;
-		MGET(tmp, MB_DONTWAIT, MT_DATA);
+		MGET(tmp, M_NOWAIT, MT_DATA);
 		if (tmp == NULL) {
 			/* Out of space GAK! we are in big trouble. */
 			return (ENOSPC);
@@ -2121,7 +2121,7 @@ sctp_notify_assoc_change(u_int32_t event, struct sctp_tcb *stcb,
 		/* event not enabled */
 		return;
 	}
-	MGETHDR(m_notify, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_notify, M_NOWAIT, MT_DATA);
 	if (m_notify == NULL)
 		/* no space left */
 		return;
@@ -2210,12 +2210,12 @@ sctp_notify_peer_addr_change(struct sctp_tcb *stcb, uint32_t state,
 		/* event not enabled */
 		return;
 
-	MGETHDR(m_notify, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_notify, M_NOWAIT, MT_DATA);
 	if (m_notify == NULL)
 		return;
 	m_notify->m_len = 0;
 
-	MCLGET(m_notify, MB_DONTWAIT);
+	MCLGET(m_notify, M_NOWAIT);
 	if ((m_notify->m_flags & M_EXT) != M_EXT) {
 		sctp_m_freem(m_notify);
 		return;
@@ -2306,7 +2306,7 @@ sctp_notify_send_failed(struct sctp_tcb *stcb, u_int32_t error,
 		return;
 
 	length = sizeof(struct sctp_send_failed) + chk->send_size;
-	MGETHDR(m_notify, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_notify, M_NOWAIT, MT_DATA);
 	if (m_notify == NULL)
 		/* no space left */
 		return;
@@ -2407,7 +2407,7 @@ sctp_notify_adaption_layer(struct sctp_tcb *stcb,
 		/* event not enabled */
 		return;
 
-	MGETHDR(m_notify, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_notify, M_NOWAIT, MT_DATA);
 	if (m_notify == NULL)
 		/* no space left */
 		return;
@@ -2486,7 +2486,7 @@ sctp_notify_partial_delivery_indication(struct sctp_tcb *stcb,
 		/* event not enabled */
 		return;
 
-	MGETHDR(m_notify, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_notify, M_NOWAIT, MT_DATA);
 	if (m_notify == NULL)
 		/* no space left */
 		return;
@@ -2575,7 +2575,7 @@ sctp_notify_shutdown_event(struct sctp_tcb *stcb)
 		/* event not enabled */
 		return;
 
-	MGETHDR(m_notify, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_notify, M_NOWAIT, MT_DATA);
 	if (m_notify == NULL)
 		/* no space left */
 		return;
@@ -2654,14 +2654,14 @@ sctp_notify_stream_reset(struct sctp_tcb *stcb,
 		/* event not enabled */
 		return;
 
-	MGETHDR(m_notify, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_notify, M_NOWAIT, MT_DATA);
 	if (m_notify == NULL)
 		/* no space left */
 		return;
 	m_notify->m_len = 0;
 	len = sizeof(struct sctp_stream_reset_event) + (number_entries * sizeof(uint16_t));
 	if (len > M_TRAILINGSPACE(m_notify)) {
-		MCLGET(m_notify, MB_WAIT);
+		MCLGET(m_notify, M_WAITOK);
 	}
 	if (m_notify == NULL)
 		/* no clusters */
@@ -3268,7 +3268,7 @@ sctp_sbappendaddr_nocheck(struct signalsockbuf *ssb, struct sockaddr *asa, struc
 		if (len > MHLEN)
 			return (0);
  try_again:
-		MGETHDR(m, MB_DONTWAIT, MT_SONAME);
+		MGETHDR(m, M_NOWAIT, MT_SONAME);
 		if (m == NULL)
 			return (0);
 		m->m_len = 0;
@@ -3339,7 +3339,7 @@ sctp_generate_invmanparam(int err)
 	/* Return a MBUF with a invalid mandatory parameter */
 	struct mbuf *m;
 
-	MGET(m, MB_DONTWAIT, MT_DATA);
+	MGET(m, M_NOWAIT, MT_DATA);
 	if (m) {
 		struct sctp_paramhdr *ph;
 		m->m_len = sizeof(struct sctp_paramhdr);
diff --git a/sys/netinet/tcp_output.c b/sys/netinet/tcp_output.c
index 5825959..dab0362 100644
--- a/sys/netinet/tcp_output.c
+++ b/sys/netinet/tcp_output.c
@@ -908,9 +908,9 @@ send:
 		m->m_data -= hdrlen;
 #else
 #ifndef INET6
-		m = m_gethdr(MB_DONTWAIT, MT_HEADER);
+		m = m_gethdr(M_NOWAIT, MT_HEADER);
 #else
-		m = m_getl(hdrlen + max_linkhdr, MB_DONTWAIT, MT_HEADER,
+		m = m_getl(hdrlen + max_linkhdr, M_NOWAIT, MT_HEADER,
 			   M_PKTHDR, NULL);
 #endif
 		if (m == NULL) {
@@ -951,7 +951,7 @@ send:
 		else
 			tcpstat.tcps_sndwinup++;
 
-		MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(m, M_NOWAIT, MT_HEADER);
 		if (m == NULL) {
 			error = ENOBUFS;
 			goto after_th;
diff --git a/sys/netinet/tcp_subr.c b/sys/netinet/tcp_subr.c
index 4c5c960..07463b2 100644
--- a/sys/netinet/tcp_subr.c
+++ b/sys/netinet/tcp_subr.c
@@ -587,7 +587,7 @@ tcp_respond(struct tcpcb *tp, void *ipgen, struct tcphdr *th, struct mbuf *m,
 		}
 	}
 	if (m == NULL) {
-		m = m_gethdr(MB_DONTWAIT, MT_HEADER);
+		m = m_gethdr(M_NOWAIT, MT_HEADER);
 		if (m == NULL)
 			return;
 		tlen = 0;
@@ -1853,7 +1853,7 @@ ipsec_hdrsiz_tcp(struct tcpcb *tp)
 
 	if ((tp == NULL) || ((inp = tp->t_inpcb) == NULL))
 		return (0);
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (!m)
 		return (0);
 
diff --git a/sys/netinet/tcp_syncache.c b/sys/netinet/tcp_syncache.c
index 574c292..8e6612f 100644
--- a/sys/netinet/tcp_syncache.c
+++ b/sys/netinet/tcp_syncache.c
@@ -1177,7 +1177,7 @@ syncache_respond(struct syncache *sc, struct mbuf *m)
 	if (m)
 		m_freem(m);
 
-	m = m_gethdr(MB_DONTWAIT, MT_HEADER);
+	m = m_gethdr(M_NOWAIT, MT_HEADER);
 	if (m == NULL)
 		return (ENOBUFS);
 	m->m_data += max_linkhdr;
diff --git a/sys/netinet/udp_usrreq.c b/sys/netinet/udp_usrreq.c
index 9c56b54..bb11fb0 100644
--- a/sys/netinet/udp_usrreq.c
+++ b/sys/netinet/udp_usrreq.c
@@ -355,7 +355,7 @@ udp_mcast_input(struct udp_mcast_arg *arg)
 			;
 		else
 #endif /*FAST_IPSEC*/
-		if ((n = m_copypacket(m, MB_DONTWAIT)) != NULL)
+		if ((n = m_copypacket(m, M_NOWAIT)) != NULL)
 			udp_append(last, ip, n,
 			    arg->iphlen + sizeof(struct udphdr),
 			    arg->udp_in);
@@ -985,7 +985,7 @@ udp_send(netmsg_t msg)
 	 * Calculate data length and get a mbuf
 	 * for UDP and IP headers.
 	 */
-	M_PREPEND(m, sizeof(struct udpiphdr), MB_DONTWAIT);
+	M_PREPEND(m, sizeof(struct udpiphdr), M_NOWAIT);
 	if (m == NULL) {
 		error = ENOBUFS;
 		goto release;
@@ -1105,7 +1105,7 @@ udp_send(netmsg_t msg)
 			 * XXX optimize this?
 			 */
 			m_opt = m_copym(inp->inp_options, 0, M_COPYALL,
-			    MB_WAIT);
+			    M_WAITOK);
 		}
 		if ((pru_flags & PRUS_NOREPLY) == 0) {
 			/*
diff --git a/sys/netinet6/ah_core.c b/sys/netinet6/ah_core.c
index 2121ef3..6c96227 100644
--- a/sys/netinet6/ah_core.c
+++ b/sys/netinet6/ah_core.c
@@ -1171,7 +1171,7 @@ again:
 				error = EMSGSIZE;
 				goto fail;
 			}
-			n = m_getb(hlen, MB_DONTWAIT, MT_DATA, 0);
+			n = m_getb(hlen, M_NOWAIT, MT_DATA, 0);
 			if (n == NULL) {
 				error = ENOBUFS;
 				goto fail;
@@ -1279,7 +1279,7 @@ again:
 				error = EMSGSIZE;
 				goto fail;
 			}
-			n = m_getb(totlen, MB_DONTWAIT, MT_DATA, 0);
+			n = m_getb(totlen, M_NOWAIT, MT_DATA, 0);
 			if (n == NULL) {
 				error = ENOBUFS;
 				goto fail;
@@ -1419,7 +1419,7 @@ again:
 				error = EMSGSIZE;
 				goto fail;
 			}
-			n = m_getb(newoff - off, MB_DONTWAIT, MT_DATA, 0);
+			n = m_getb(newoff - off, M_NOWAIT, MT_DATA, 0);
 			if (n == NULL) {
 				error = ENOBUFS;
 				goto fail;
@@ -1447,7 +1447,7 @@ again:
 			error = EMSGSIZE;
 			goto fail;
 		}
-		n = m_getb(newoff - off, MB_DONTWAIT, MT_DATA, 0);
+		n = m_getb(newoff - off, M_NOWAIT, MT_DATA, 0);
 		if (n == NULL) {
 			error = ENOBUFS;
 			goto fail;
diff --git a/sys/netinet6/ah_input.c b/sys/netinet6/ah_input.c
index f66129f..c4ab73b 100644
--- a/sys/netinet6/ah_input.c
+++ b/sys/netinet6/ah_input.c
@@ -492,7 +492,7 @@ ah4_input(struct mbuf **mp, int *offp, int proto)
 			 */
 			struct mbuf *n;
 
-			n = m_split(m, off, MB_DONTWAIT);
+			n = m_split(m, off, M_NOWAIT);
 			if (n == NULL) {
 				/* m is retained by m_split */
 				goto fail;
@@ -903,7 +903,7 @@ ah6_input(struct mbuf **mp, int *offp, int proto)
 			 */
 			struct mbuf *n;
 
-			n = m_split(m, off, MB_DONTWAIT);
+			n = m_split(m, off, M_NOWAIT);
 			if (n == NULL) {
 				/* m is retained by m_split */
 				goto fail;
diff --git a/sys/netinet6/ah_output.c b/sys/netinet6/ah_output.c
index 64205d0..f7b4cd0 100644
--- a/sys/netinet6/ah_output.c
+++ b/sys/netinet6/ah_output.c
@@ -1,5 +1,4 @@
 /*	$FreeBSD: src/sys/netinet6/ah_output.c,v 1.1.2.5 2003/05/06 06:46:58 suz Exp $	*/
-/*	$DragonFly: src/sys/netinet6/ah_output.c,v 1.9 2006/10/24 06:18:42 hsu Exp $	*/
 /*	$KAME: ah_output.c,v 1.31 2001/07/26 06:53:15 jinmei Exp $	*/
 
 /*
@@ -209,7 +208,7 @@ ah4_output(struct mbuf *m, struct ipsecrequest *isr)
 		panic("ah4_output: assumption failed (first mbuf length)");
 	if (M_LEADINGSPACE(m->m_next) < ahlen) {
 		struct mbuf *n;
-		MGET(n, MB_DONTWAIT, MT_DATA);
+		MGET(n, M_NOWAIT, MT_DATA);
 		if (!n) {
 			ipseclog((LOG_DEBUG, "ENOBUFS in ah4_output %d\n",
 			    __LINE__));
@@ -386,7 +385,7 @@ ah6_output(struct mbuf *m, u_char *nexthdrp, struct mbuf *md,
 		return EINVAL;
 	}
 
-	mah = m_getb(ahlen, MB_DONTWAIT, MT_DATA, 0);
+	mah = m_getb(ahlen, M_NOWAIT, MT_DATA, 0);
 	if (mah == NULL) {
 		m_freem(m);
 		return ENOBUFS;
diff --git a/sys/netinet6/esp_core.c b/sys/netinet6/esp_core.c
index 4fd712b..ee127ce 100644
--- a/sys/netinet6/esp_core.c
+++ b/sys/netinet6/esp_core.c
@@ -703,7 +703,7 @@ esp_cbc_decrypt(struct mbuf *m, size_t off, struct secasvar *sav,
 			if (d)
 				dp = d;
 			i = m->m_pkthdr.len - (soff + sn);
-			d = m_getb(i, MB_DONTWAIT, MT_DATA, 0);
+			d = m_getb(i, M_NOWAIT, MT_DATA, 0);
 			if (!d) {
 				m_freem(m);
 				if (d0)
@@ -901,7 +901,7 @@ esp_cbc_encrypt(struct mbuf *m, size_t off, size_t plen, struct secasvar *sav,
 			if (d)
 				dp = d;
 			i = m->m_pkthdr.len - (soff + sn);
-			d = m_getb(i, MB_DONTWAIT, MT_DATA, 0);
+			d = m_getb(i, M_NOWAIT, MT_DATA, 0);
 			if (!d) {
 				m_freem(m);
 				if (d0)
